Skip to main content
POST
/
v1
/
agents
/
{passportId}
/
promote
Typescript (SDK)
import { RaijinLabsLucidAi } from "raijin-labs-lucid-ai";

const raijinLabsLucidAi = new RaijinLabsLucidAi({
  bearerAuth: process.env["RAIJINLABSLUCIDAI_BEARER_AUTH"] ?? "",
});

async function run() {
  const result = await raijinLabsLucidAi.agents.launch.lucidPromoteBlue({
    passportId: "<id>",
  });

  console.log(result);
}

run();
{
  "success": true,
  "message": "<string>",
  "deployment_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.lucid.foundation/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Lucid API key (lk_live_... or lk_test_...)

Path Parameters

passportId
string
required

Agent passport identifier

Response

Blue promoted to primary

success
boolean
required
message
string
required
deployment_id
string